import 'dart:io';

import 'package:germanet_dart/src/security.dart';
import 'package:xml/xml.dart';

XmlDocument parseXml(FileSystemEntity entity, SecurityCryptInterpreter? securityCryptInterpreter){
  if(securityCryptInterpreter == null){
    return XmlDocument.parse(File(entity.path).readAsStringSync());
  }else{
    return XmlDocument.parse(securityCryptInterpreter.decryptSource(File(entity.path).readAsBytesSync()));
  }
}